

    /* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
    *                                                                 *
    *   RAYO Batch 1.02                                               *
    *   Copyright  2004 Sebastian Pipping <webmaster@hartwork.org>   *
    *                                                                 *
    *   --> http://www.hartwork.org                                   *
    *                                                                 *
    *                                                                 *
    *   This source code is released under AFPL.                      *
    *   See AFPL.htm for details.                        2004-08-11   *
    *                                                                 *
    \* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */



#ifndef __CLASS_CJOBLIST_H__
#define __CLASS_CJOBLIST_H__


#include <windows.h>
#include "class_cjob.h"


class CJobList
{
private:
	CJob * first;
	CJob * last;
	UINT uMax;

public:
	CJobList();
	~CJobList();

	void queue( char * filename, UINT uLen );
	bool dequeue( char * filename );
	UINT get_max() { return uMax; };
};


#endif // __CLASS_CJOBLIST_H__